## org.hibernate.metamodel.source.binder
Interface IdentifierSource

All Known Subinterfaces:
  ComponentIdentifierSource, SimpleIdentifierSource

All Known Implementing Classes:
  SimpleIdentifierSourceImpl

    public interface IdentifierSource

Contract describing source of identifier information for the entity.

Nested Class Summary
`static class` `IdentifierSource.Nature`

Method Summary
`IdGenerator` `getIdentifierGeneratorDescriptor()` Obtain the identifier generator source.
`IdentifierSource.Nature` `getNature()` Obtain the nature of this identifier source.

Method Detail

### getIdentifierGeneratorDescriptor

    IdGenerator getIdentifierGeneratorDescriptor()

  Obtain the identifier generator source.

  Returns:
    The generator source.

### getNature

    IdentifierSource.Nature getNature()

  Obtain the nature of this identifier source.

  Returns:
    The identifier source's nature.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.